use Test::More tests => 9;
use Test::Exception;

use strict;
use warnings;

use DE_EPAGES::Core::API::FTP;
use DE_EPAGES::Core::API::Script qw( RunScript );
use File::Temp;

##no critic qw(ProhibitInterpolationOfLiterals)
RunScript( Message => 'long', Sub => sub {
        my ( $host, $username, $password ) = ('ftp.epages.de','anonymous','');
        my $ftp;
        my @files;
        my $tmp = File::Temp->new();

        #positive tests
        lives_ok( sub {$ftp = DE_EPAGES::Core::API::FTP->new()} , 'FTP Object creation' );
        lives_ok(  sub {$ftp->connect($host,$username,$password)}, 'FTP Connection' );
        lives_ok(  sub {$ftp->getFile( $tmp->filename, '/pub/products/INFO.TXT')}, 'FTP getfile from server' );

        my @filecontent = <$tmp>;
        like($filecontent[1], qr{ epages products}, 'File content validation');
        lives_ok(  sub  {@files = $ftp->listFiles('/pub/products/') }, 'FTP List files from /data' );
        ok ($files[1] eq 'INFO.TXT','file exists in directory');

        #negative tests
        my $nook_host = 'fakehost';
        throws_ok( sub {$ftp->connect($nook_host,$username,$password)}, qr/FTPError/ ,'FTP Connection' );
        throws_ok( sub {$ftp->getFile( $tmp->filename, '/pub/products/INFO.TXT')}, qr/FTPError/ ,
                   'FTP getfile from server' );
        throws_ok( sub {$ftp->listFiles('/pub/products/') }, qr/FTPError/ ,'FTP List files from /data' );
    });

