#!perl -w
use Test::More tests => 1;
use strict;
use File::Temp qw(tempdir);
use LWP::UserAgent;
use LWP::Simple;

use DE_EPAGES::Core::API::File qw(CreateDirectory WriteFile DeleteDirectory);
use DE_EPAGES::Core::API::Script qw(RunScript);
use DE_EPAGES::Installer::API::NodeJS qw(GetNodeJSVersion);

sub Main {
    my $EpagesVersion = '6.12.8';
    my $ExpectedVersion = "$EpagesVersion-22";

    my $Content = <<"HERE"
$ExpectedVersion
HERE
;
    my $TmpDir = tempdir();
    my $NodeDir = "$TmpDir/bin/nodejs.d";

    CreateDirectory($NodeDir);
    WriteFile("$NodeDir/epages.version", \$Content);

    my $Version = GetNodeJSVersion($NodeDir);
    ok( $ExpectedVersion eq $Version, "GetNodeJSVersion: $ExpectedVersion eq $Version" );

    DeleteDirectory($TmpDir, {recursive => 1});
}

RunScript( Sub => \&Main );
1;
