use Test::Simple tests => 6;
use strict;
use DE_EPAGES::Core::API::Script qw (RunScript);
use DE_EPAGES::Database::API::Connection qw( ConnectToSite DisconnectSite );
use DE_EPAGES::Object::API::Factory qw( LoadRootObject );

sub Main {
    ConnectToSite();
    Cleanup();

    my $System = LoadRootObject();

    my $Store = $System->child('Stores')->child('Store');
    ok( 1, "Store database exists" );

    my $hValues = $Store->get( [ qw(
        LoginFailureCount
        LoginFailureTimeLimit
        SessionIdleTimeout
        SessionTimeout
        DomainName
        WebServerPort
        HasSSLCertificate
        SSLWebServerPort
        WebServerScriptNamePart
        GUID
        IsWebServiceAvailable
        WebServerName
        SSLWebServerName
    )] );

    ok( $hValues->{'IsWebServiceAvailable'}, "IsWebServiceAvailable" );
    ok( 36 == length $hValues->{'GUID'}, "GUID" );
    ok( 2 < length $hValues->{'DomainName'}, "DomainName" );
    ok( $hValues->{'WebServerName'} eq $hValues->{'DomainName'}, "WebServerName" );
    ok( $hValues->{'SSLWebServerName'} eq $hValues->{'DomainName'}, "SSLWebServerName" );

    DisconnectSite();
}

RunScript(
    Sub => \&Main
);

sub Cleanup {
}
