package DE_EPAGES::WebService::t::HelloResource;
use base DE_EPAGES::Core::API::Test;

use strict;
use Test::Exception;
use Test::More tests => 5;
use DE_EPAGES::WebService::Samples::Server::HelloResource;

sub test {
    my $Resource = DE_EPAGES::WebService::Samples::Server::HelloResource->new;

    my $hData;
    throws_ok { $hData = $Resource->get( 'TestID' ) } qr/ResourceNotFound/, 'empty collection';

    $Resource->put( 'TestID', {
        FirstName => 'Paul',
        LastName => 'Johnson',
    });
    $hData = $Resource->get('TestID');
    is( $hData->{'FirstName'}, 'Paul', 'put+get' );

    $Resource->delete( 'TestID' );
    throws_ok { $hData = $Resource->get( 'TestID' ) } qr/ResourceNotFound/, 'delete';

    my $NewID = $Resource->post(undef, {
        FirstName => 'Paula',
        LastName => 'Steward',
    })->{'id'};
    isnt( $NewID, undef, 'post returns id' );
    $hData = $Resource->get( $NewID );
    is( $hData->{'LastName'}, 'Steward', 'post' );
}

__PACKAGE__->runScript;
